Skip to main content
`Ctrl`+`K`

# NEPGetRefine

Gets the refinement strategy used by the `NEP` object, and the associated parameters.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPGetRefine(NEP nep,NEPRefine *refine,PetscInt *npart,PetscReal *tol,PetscInt *its,NEPRefineScheme *scheme)

Not Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameters

- refine - refinement type

- npart - number of partitions of the communicator

- tol - the convergence tolerance

- its - maximum number of refinement iterations

- scheme - the scheme used for solving linear systems

## Note

The user can specify `NULL` for any parameter that is not needed.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetRefine()`

## Level

intermediate

## Location

src/nep/interface/nepopts.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages